org.apache.ignite.spi.communication.tcp.internal

## Class DisconnectedSessionInfo

- java.lang.Object
- - org.apache.ignite.spi.communication.tcp.internal.DisconnectedSessionInfo

    public class DisconnectedSessionInfo
    extends Object

Class marker that say that connection must be interacted.

### Constructor Summary

Constructors
Constructor and Description
`DisconnectedSessionInfo(@Nullable GridNioRecoveryDescriptor recoveryDesc, int connIdx)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `connectionIndex()`
`GridNioRecoveryDescriptor` `recoveryDescription()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DisconnectedSessionInfo

    public DisconnectedSessionInfo(@Nullable
                                   @Nullable GridNioRecoveryDescriptor recoveryDesc,
                                   int connIdx)

Parameters:
  `recoveryDesc` - Recovery descriptor.
  `connIdx` - Connection index.

### Method Detail

#### recoveryDescription

    public GridNioRecoveryDescriptor recoveryDescription()

Returns:
  Recovery description.

#### connectionIndex

    public int connectionIndex()

Returns:
  Connection index.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.14.0
Release Date | : September 29 2022